<?xml version="1.0" encoding="gb2312"?>
<Config>
    <Global>
        <ExposureFusionFlag colorcount="4" graycount="4" minfps0="62500" minfps1="62500" maxiso0="12800" maxiso1="12800" sync="0">1</ExposureFusionFlag>
        <BinningExposureFusionFlag colorcount="4" graycount="4" minfps0="83333" minfps1="62500" maxiso0="6400" maxiso1="8000" sync="0">0</BinningExposureFusionFlag>
        <DoubleBinningExposureFusionFlag colorcount="4" graycount="4" minfps0="83333" minfps1="62500" maxiso0="6400" maxiso1="6400" sync="0">0</DoubleBinningExposureFusionFlag>
        <BinningParams ratio="220">1</BinningParams>
        <DoubleISO BinningTH="1" MultiDenoiseTH="4" LaserRange="0" MonoBase="0">1</DoubleISO>
    </Global>

    <NoiseReduction>
            <sfnr_skip_flag>1</sfnr_skip_flag>
        <ISO1>
            <isovalue>2048</isovalue>
            <lumaHF1>0</lumaHF1> <!--{-255~0} 根据亮度回叠原图， [0, -lumaHF1]区间亮度越小叠加越少-->
            <lumaHF2>0</lumaHF2> <!--{-128~0} 鬼影区域回叠系数, 靠近0回叠比重减小-->
            <lumaHF3>-48</lumaHF3> <!--{-128~0} 鬼影区域回叠系数, 靠近0回叠比重减小-->
            <detail>-128</detail> <!--{-128~0} 原图整体回叠系数，靠近0回叠比重减小-->
            <lumaHF1_M>0</lumaHF1_M>
            <lumaHF2_M>0</lumaHF2_M>
            <lumaHF3_M>-64</lumaHF3_M>
            <detail_M>-128</detail_M>
            <lumaHF1_BN>0</lumaHF1_BN>
            <lumaHF2_BN>0</lumaHF2_BN>
            <lumaHF3_BN>-64</lumaHF3_BN>
            <detail_BN>-128</detail_BN>
            <flat_th>30</flat_th>
            <snr_weight>192</snr_weight>
        </ISO1>
        <ISO2>
            <isovalue>3838</isovalue>
            <lumaHF1>0</lumaHF1>
            <lumaHF2>0</lumaHF2>
            <lumaHF3>-48</lumaHF3>
            <detail>-128</detail>
            <lumaHF1_M>0</lumaHF1_M>
            <lumaHF2_M>0</lumaHF2_M>
            <lumaHF3_M>-48</lumaHF3_M>
            <detail_M>-128</detail_M>
            <lumaHF1_BN>0</lumaHF1_BN>
            <lumaHF2_BN>0</lumaHF2_BN>
            <lumaHF3_BN>-48</lumaHF3_BN>
            <detail_BN>-128</detail_BN>
            <flat_th>30</flat_th>
            <snr_weight>192</snr_weight>
        </ISO2>
        <ISO3>
            <isovalue>4736</isovalue>
            <lumaHF1>0</lumaHF1>
            <lumaHF2>0</lumaHF2>
            <lumaHF3>-32</lumaHF3>
            <detail>-128</detail>
            <lumaHF1_M>0</lumaHF1_M>
            <lumaHF2_M>0</lumaHF2_M>
            <lumaHF3_M>-32</lumaHF3_M>
            <detail_M>-128</detail_M>
            <lumaHF1_BN>0</lumaHF1_BN>
            <lumaHF2_BN>0</lumaHF2_BN>
            <lumaHF3_BN>-32</lumaHF3_BN>
            <detail_BN>-128</detail_BN>
            <flat_th>30</flat_th>
            <snr_weight>192</snr_weight>
        </ISO3>
        <ISO4>
            <isovalue>6784</isovalue>
            <lumaHF1>0</lumaHF1>
            <lumaHF2>0</lumaHF2>
            <lumaHF3>-32</lumaHF3>
            <detail>-110</detail>
            <lumaHF1_M>0</lumaHF1_M>
            <lumaHF2_M>0</lumaHF2_M>
            <lumaHF3_M>-32</lumaHF3_M>
            <detail_M>-110</detail_M>
            <lumaHF1_BN>0</lumaHF1_BN>
            <lumaHF2_BN>0</lumaHF2_BN>
            <lumaHF3_BN>-32</lumaHF3_BN>
            <detail_BN>-110</detail_BN>
            <flat_th>30</flat_th>
            <snr_weight>192</snr_weight>
        </ISO4>
        <ISO5>
            <isovalue>9728</isovalue>
            <lumaHF1>0</lumaHF1>
            <lumaHF2>0</lumaHF2>
            <lumaHF3>-20</lumaHF3>
            <detail>-110</detail>
            <lumaHF1_M>0</lumaHF1_M>
            <lumaHF2_M>0</lumaHF2_M>
            <lumaHF3_M>-20</lumaHF3_M>
            <detail_M>-110</detail_M>
            <lumaHF1_BN>0</lumaHF1_BN>
            <lumaHF2_BN>0</lumaHF2_BN>
            <lumaHF3_BN>-20</lumaHF3_BN>
            <detail_BN>-110</detail_BN>
            <flat_th>30</flat_th>
            <snr_weight>192</snr_weight>
        </ISO5>
        <ISO6>
            <isovalue>12800</isovalue>
            <lumaHF1>0</lumaHF1>
            <lumaHF2>0</lumaHF2>
            <lumaHF3>-20</lumaHF3>
            <detail>-110</detail>
            <lumaHF1_M>0</lumaHF1_M>
            <lumaHF2_M>0</lumaHF2_M>
            <lumaHF3_M>-20</lumaHF3_M>
            <detail_M>-110</detail_M>
            <lumaHF1_BN>0</lumaHF1_BN>
            <lumaHF2_BN>0</lumaHF2_BN>
            <lumaHF3_BN>-20</lumaHF3_BN>
            <detail_BN>-110</detail_BN>
            <flat_th>30</flat_th>
            <snr_weight>192</snr_weight>
        </ISO6>
        <ISO7>
            <isovalue>17920</isovalue>
            <lumaHF1>0</lumaHF1>
            <lumaHF2>0</lumaHF2>
            <lumaHF3>-20</lumaHF3>
            <detail>-110</detail>
            <lumaHF1_M>0</lumaHF1_M>
            <lumaHF2_M>0</lumaHF2_M>
            <lumaHF3_M>-20</lumaHF3_M>
            <detail_M>-110</detail_M>
            <lumaHF1_BN>0</lumaHF1_BN>
            <lumaHF2_BN>0</lumaHF2_BN>
            <lumaHF3_BN>-20</lumaHF3_BN>
            <detail_BN>-110</detail_BN>
            <flat_th>200</flat_th>
            <snr_weight>255</snr_weight>
        </ISO7>
        <ISO8>
            <isovalue>35840</isovalue>
            <lumaHF1>0</lumaHF1>
            <lumaHF2>0</lumaHF2>
            <lumaHF3>-20</lumaHF3>
            <detail>-110</detail>
            <lumaHF1_M>0</lumaHF1_M>
            <lumaHF2_M>0</lumaHF2_M>
            <lumaHF3_M>-20</lumaHF3_M>
            <detail_M>-110</detail_M>
            <lumaHF1_BN>0</lumaHF1_BN>
            <lumaHF2_BN>0</lumaHF2_BN>
            <lumaHF3_BN>-20</lumaHF3_BN>
            <detail_BN>-110</detail_BN>
            <flat_th>200</flat_th>
            <snr_weight>255</snr_weight>
        </ISO8>
    </NoiseReduction>

    <GhostDetection>
        <ISO1>
            <lumaTH_Low>48</lumaTH_Low>
            <lumaTH_High>160</lumaTH_High>
            <lumaNoiseTH>160</lumaNoiseTH>
            <lumaTH_Low_M>48</lumaTH_Low_M>
            <lumaTH_High_M>160</lumaTH_High_M>
            <lumaNoiseTH_M>160</lumaNoiseTH_M>
            <chromaTH_Low>160</chromaTH_Low>
            <chromaTH_High>160</chromaTH_High>
            <chromaNoiseTH>4080</chromaNoiseTH>
        </ISO1>
        <ISO2>
            <lumaTH_Low>48</lumaTH_Low>
            <lumaTH_High>160</lumaTH_High>
            <lumaNoiseTH>160</lumaNoiseTH>
            <lumaTH_Low_M>48</lumaTH_Low_M>
            <lumaTH_High_M>160</lumaTH_High_M>
            <lumaNoiseTH_M>160</lumaNoiseTH_M>
            <chromaTH_Low>160</chromaTH_Low>
            <chromaTH_High>160</chromaTH_High>
            <chromaNoiseTH>4080</chromaNoiseTH>
        </ISO2>
        <ISO3>
            <lumaTH_Low>64</lumaTH_Low>
            <lumaTH_High>160</lumaTH_High>
            <lumaNoiseTH>160</lumaNoiseTH>
            <lumaTH_Low_M>64</lumaTH_Low_M>
            <lumaTH_High_M>160</lumaTH_High_M>
            <lumaNoiseTH_M>160</lumaNoiseTH_M>
            <chromaTH_Low>240</chromaTH_Low>
            <chromaTH_High>240</chromaTH_High>
            <chromaNoiseTH>4080</chromaNoiseTH>
        </ISO3>
        <ISO4>
            <lumaTH_Low>80</lumaTH_Low>
            <lumaTH_High>160</lumaTH_High>
            <lumaNoiseTH>160</lumaNoiseTH>
            <lumaTH_Low_M>80</lumaTH_Low_M>
            <lumaTH_High_M>160</lumaTH_High_M>
            <lumaNoiseTH_M>160</lumaNoiseTH_M>
            <chromaTH_Low>240</chromaTH_Low>
            <chromaTH_High>240</chromaTH_High>
            <chromaNoiseTH>4080</chromaNoiseTH>
        </ISO4>
        <ISO5>
            <lumaTH_Low>128</lumaTH_Low>
            <lumaTH_High>192</lumaTH_High>
            <lumaNoiseTH>160</lumaNoiseTH>
            <lumaTH_Low_M>96</lumaTH_Low_M>
            <lumaTH_High_M>192</lumaTH_High_M>
            <lumaNoiseTH_M>160</lumaNoiseTH_M>
            <chromaTH_Low>240</chromaTH_Low>
            <chromaTH_High>240</chromaTH_High>
            <chromaNoiseTH>4080</chromaNoiseTH>
        </ISO5>
        <ISO6>
            <lumaTH_Low>160</lumaTH_Low>
            <lumaTH_High>224</lumaTH_High>
            <lumaNoiseTH>160</lumaNoiseTH>
            <lumaTH_Low_M>192</lumaTH_Low_M>
            <lumaTH_High_M>256</lumaTH_High_M>
            <lumaNoiseTH_M>160</lumaNoiseTH_M>
            <chromaTH_Low>240</chromaTH_Low>
            <chromaTH_High>240</chromaTH_High>
            <chromaNoiseTH>4080</chromaNoiseTH>
        </ISO6>
        <ISO7>
            <lumaTH_Low>192</lumaTH_Low>
            <lumaTH_High>256</lumaTH_High>
            <lumaNoiseTH>160</lumaNoiseTH>
            <lumaTH_Low_M>192</lumaTH_Low_M>
            <lumaTH_High_M>256</lumaTH_High_M>
            <lumaNoiseTH_M>160</lumaNoiseTH_M>
            <chromaTH_Low>320</chromaTH_Low>
            <chromaTH_High>320</chromaTH_High>
            <chromaNoiseTH>4080</chromaNoiseTH>
        </ISO7>
        <ISO8>
            <lumaTH_Low>192</lumaTH_Low>
            <lumaTH_High>256</lumaTH_High>
            <lumaNoiseTH>160</lumaNoiseTH>
            <lumaTH_Low_M>384</lumaTH_Low_M>
            <lumaTH_High_M>512</lumaTH_High_M>
            <lumaNoiseTH_M>160</lumaNoiseTH_M>
            <chromaTH_Low>2560</chromaTH_Low>
            <chromaTH_High>2560</chromaTH_High>
            <chromaNoiseTH>4080</chromaNoiseTH>
        </ISO8>
    </GhostDetection>

    <PreProcess>
    </PreProcess>

    <RouteSwitch>
        <DepthType>0</DepthType>
        <ColorOnlyDisparity>15</ColorOnlyDisparity>
        <ColorOnlyPixelPercent>50</ColorOnlyPixelPercent>
        <ColorBaseDisparity>15</ColorBaseDisparity>
        <ColorBasePixelPercent>5</ColorBasePixelPercent>
    </RouteSwitch>

    <FUSION>
        <zoom_factor_th>1.5</zoom_factor_th>
        <detail_ratio_max_th>256</detail_ratio_max_th>
    </FUSION>
    <BM>
        <use_extra_candidate>1</use_extra_candidate>
    </BM>
    <!--params for different iso-->
    <!--mono_eps at [0.032, 0.16]-->
    <!--color_eps at [0.04, 0.16]-->
    <camera_pos>3</camera_pos> <!-- MHA 对应 3, main camera right-->
    <fov_scale>1</fov_scale><!-- 副camera fov / 主camera fov-->
    <contrast_per>15</contrast_per>
    <isoCount>10</isoCount>
    <iso1>
        <iso>2048</iso>
        <appointed_router>-1</appointed_router> <!--0/1/2/3表示monobase/colorbase/coloronly/hybrid, -1表示算法自己判断-->
        <color_eps>0.04</color_eps>
        <color_r>4</color_r>
        <mono_eps>0.16</mono_eps>
        <mono_r>4</mono_r>

        <mono_detail_eps>0.02</mono_detail_eps>
        <mono_detail_eps_scale>14</mono_detail_eps_scale>
        <mono_detail_r>1</mono_detail_r>

        <mono_detailbase_eps>0.04</mono_detailbase_eps>
        <mono_detailbase_eps_scale>21</mono_detailbase_eps_scale>
        <mono_detailbase_r>4</mono_detailbase_r>

        <detailbase_ratio_min>128</detailbase_ratio_min>
        <detailbase_ratio_max>256</detailbase_ratio_max>
        <detailbase_th_min>10</detailbase_th_min>
        <detailbase_th_bit_to_max>3</detailbase_th_bit_to_max>

        <detail_ratio_min>128</detail_ratio_min>
        <detail_ratio_max>256</detail_ratio_max>
        <detail_th_min>1</detail_th_min>
        <detail_th_bit_to_max>2</detail_th_bit_to_max>

        <smooth_eps>0.04</smooth_eps>
        <smooth_eps_scale>15</smooth_eps_scale>
        <smooth_r>0</smooth_r>

        <enhance_flag>1</enhance_flag>
        <enhance_th_bit>5</enhance_th_bit>
        <enhance_scale>128</enhance_scale>

        <color_weight_shiftbit>3</color_weight_shiftbit>
        <color_detail_shiftbit>0</color_detail_shiftbit>

        <detail_diff_th>80</detail_diff_th>
        <detail_diff_cnt_th>500</detail_diff_cnt_th>


        <hybrid_diff_th>15</hybrid_diff_th>
        <hybrid_diff_hue_shift>4</hybrid_diff_hue_shift>
        <hybrid_diff_hue_coff>4</hybrid_diff_hue_coff>
        <hybrid_diff_erosion_r>1</hybrid_diff_erosion_r>
        <hybrid_diff_tolerate_cnt>100</hybrid_diff_tolerate_cnt>
        <hybrid_weight_map_diff_th>15</hybrid_weight_map_diff_th>
        <hybrid_weight_map_th>64</hybrid_weight_map_th>
        <hybrid_weight_map_cnt>0</hybrid_weight_map_cnt>
        <hybrid_color_adjust_eps>0.04</hybrid_color_adjust_eps>
        <hybrid_detail_gain>280</hybrid_detail_gain>
        <deblur_kernel_scale>1.0</deblur_kernel_scale>
    </iso1>
    <iso2>
        <iso>3838</iso>
        <appointed_router>-1</appointed_router>
        <color_eps>0.06</color_eps>
        <color_r>4</color_r>
        <mono_eps>0.16</mono_eps>
        <mono_r>4</mono_r>

        <mono_detail_eps>0.03</mono_detail_eps>
        <mono_detail_eps_scale>14</mono_detail_eps_scale>
        <mono_detail_r>1</mono_detail_r>

        <mono_detailbase_eps>0.06</mono_detailbase_eps>
        <mono_detailbase_eps_scale>21</mono_detailbase_eps_scale>
        <mono_detailbase_r>4</mono_detailbase_r>

        <detailbase_ratio_min>128</detailbase_ratio_min>
        <detailbase_ratio_max>256</detailbase_ratio_max>
        <detailbase_th_min>10</detailbase_th_min>
        <detailbase_th_bit_to_max>3</detailbase_th_bit_to_max>

        <detail_ratio_min>128</detail_ratio_min>
        <detail_ratio_max>300</detail_ratio_max>
        <detail_th_min>1</detail_th_min>
        <detail_th_bit_to_max>2</detail_th_bit_to_max>

        <smooth_eps>0.06</smooth_eps>
        <smooth_eps_scale>16</smooth_eps_scale>
        <smooth_r>0</smooth_r>

        <enhance_flag>1</enhance_flag>
        <enhance_th_bit>5</enhance_th_bit>
        <enhance_scale>128</enhance_scale>

        <color_weight_shiftbit>3</color_weight_shiftbit>
        <color_detail_shiftbit>0</color_detail_shiftbit>

        <detail_diff_th>70</detail_diff_th>
        <detail_diff_cnt_th>500</detail_diff_cnt_th>


        <hybrid_diff_th>18</hybrid_diff_th>
        <hybrid_diff_hue_shift>4</hybrid_diff_hue_shift>
        <hybrid_diff_hue_coff>4</hybrid_diff_hue_coff>
        <hybrid_diff_erosion_r>1</hybrid_diff_erosion_r>
        <hybrid_diff_tolerate_cnt>100</hybrid_diff_tolerate_cnt>
        <hybrid_weight_map_diff_th>18</hybrid_weight_map_diff_th>
        <hybrid_weight_map_th>80</hybrid_weight_map_th>
        <hybrid_weight_map_cnt>0</hybrid_weight_map_cnt>
        <hybrid_color_adjust_eps>0.04</hybrid_color_adjust_eps>
        <hybrid_detail_gain>280</hybrid_detail_gain>
        <deblur_kernel_scale>1.0</deblur_kernel_scale>
    </iso2>
    <iso3>
        <iso>4736</iso>
        <appointed_router>-1</appointed_router>
        <color_eps>0.08</color_eps>
        <color_r>4</color_r>
        <mono_eps>0.16</mono_eps>
        <mono_r>4</mono_r>

        <mono_detail_eps>0.04</mono_detail_eps>
        <mono_detail_eps_scale>14</mono_detail_eps_scale>
        <mono_detail_r>1</mono_detail_r>

        <mono_detailbase_eps>0.08</mono_detailbase_eps>
        <mono_detailbase_eps_scale>21</mono_detailbase_eps_scale>
        <mono_detailbase_r>4</mono_detailbase_r>

        <detailbase_ratio_min>128</detailbase_ratio_min>
        <detailbase_ratio_max>256</detailbase_ratio_max>
        <detailbase_th_min>10</detailbase_th_min>
        <detailbase_th_bit_to_max>3</detailbase_th_bit_to_max>

        <detail_ratio_min>128</detail_ratio_min>
        <detail_ratio_max>384</detail_ratio_max>
        <detail_th_min>1</detail_th_min>
        <detail_th_bit_to_max>2</detail_th_bit_to_max>

        <smooth_eps>0.06</smooth_eps>
        <smooth_eps_scale>16</smooth_eps_scale>
        <smooth_r>0</smooth_r>

        <enhance_flag>1</enhance_flag>
        <enhance_th_bit>5</enhance_th_bit>
        <enhance_scale>128</enhance_scale>

        <color_weight_shiftbit>3</color_weight_shiftbit>
        <color_detail_shiftbit>0</color_detail_shiftbit>

        <detail_diff_th>65</detail_diff_th>
        <detail_diff_cnt_th>500</detail_diff_cnt_th>


        <hybrid_diff_th>20</hybrid_diff_th>
        <hybrid_diff_hue_shift>4</hybrid_diff_hue_shift>
        <hybrid_diff_hue_coff>4</hybrid_diff_hue_coff>
        <hybrid_diff_erosion_r>1</hybrid_diff_erosion_r>
        <hybrid_diff_tolerate_cnt>80</hybrid_diff_tolerate_cnt>
        <hybrid_weight_map_diff_th>20</hybrid_weight_map_diff_th>
        <hybrid_weight_map_th>80</hybrid_weight_map_th>
        <hybrid_weight_map_cnt>0</hybrid_weight_map_cnt>
        <hybrid_color_adjust_eps>0.04</hybrid_color_adjust_eps>
        <hybrid_detail_gain>280</hybrid_detail_gain>
        <deblur_kernel_scale>1.0</deblur_kernel_scale>
    </iso3>
    <iso4>
        <iso>6784</iso>
        <appointed_router>-1</appointed_router>
        <color_eps>0.1</color_eps>
        <color_r>4</color_r>
        <mono_eps>0.16</mono_eps>
        <mono_r>4</mono_r>

        <mono_detail_eps>0.05</mono_detail_eps>
        <mono_detail_eps_scale>14</mono_detail_eps_scale>
        <mono_detail_r>1</mono_detail_r>

        <mono_detailbase_eps>0.1</mono_detailbase_eps>
        <mono_detailbase_eps_scale>21</mono_detailbase_eps_scale>
        <mono_detailbase_r>4</mono_detailbase_r>

        <detailbase_ratio_min>128</detailbase_ratio_min>
        <detailbase_ratio_max>256</detailbase_ratio_max>
        <detailbase_th_min>10</detailbase_th_min>
        <detailbase_th_bit_to_max>3</detailbase_th_bit_to_max>

        <detail_ratio_min>128</detail_ratio_min>
        <detail_ratio_max>430</detail_ratio_max>
        <detail_th_min>1</detail_th_min>
        <detail_th_bit_to_max>2</detail_th_bit_to_max>

        <smooth_eps>0.1</smooth_eps>
        <smooth_eps_scale>18</smooth_eps_scale>
        <smooth_r>0</smooth_r>

        <enhance_flag>1</enhance_flag>
        <enhance_th_bit>5</enhance_th_bit>
        <enhance_scale>64</enhance_scale>

        <color_weight_shiftbit>2</color_weight_shiftbit>
        <color_detail_shiftbit>0</color_detail_shiftbit>

        <detail_diff_th>60</detail_diff_th>
        <detail_diff_cnt_th>500</detail_diff_cnt_th>


        <hybrid_diff_th>18</hybrid_diff_th>
        <hybrid_diff_hue_shift>5</hybrid_diff_hue_shift>
        <hybrid_diff_hue_coff>2</hybrid_diff_hue_coff>
        <hybrid_diff_erosion_r>1</hybrid_diff_erosion_r>
        <hybrid_diff_tolerate_cnt>100</hybrid_diff_tolerate_cnt>
        <hybrid_weight_map_diff_th>20</hybrid_weight_map_diff_th>
        <hybrid_weight_map_th>80</hybrid_weight_map_th>
        <hybrid_weight_map_cnt>0</hybrid_weight_map_cnt>
        <hybrid_color_adjust_eps>0.04</hybrid_color_adjust_eps>
        <hybrid_detail_gain>280</hybrid_detail_gain>
        <deblur_kernel_scale>1.0</deblur_kernel_scale>
    </iso4>
    <iso5>
        <iso>9728</iso>
        <appointed_router>-1</appointed_router>
        <color_eps>0.12</color_eps>
        <color_r>4</color_r>
        <mono_eps>0.16</mono_eps>
        <mono_r>4</mono_r>

        <mono_detail_eps>0.06</mono_detail_eps>
        <mono_detail_eps_scale>14</mono_detail_eps_scale>
        <mono_detail_r>1</mono_detail_r>

        <mono_detailbase_eps>0.12</mono_detailbase_eps>
        <mono_detailbase_eps_scale>21</mono_detailbase_eps_scale>
        <mono_detailbase_r>4</mono_detailbase_r>

        <detailbase_ratio_min>128</detailbase_ratio_min>
        <detailbase_ratio_max>256</detailbase_ratio_max>
        <detailbase_th_min>10</detailbase_th_min>
        <detailbase_th_bit_to_max>3</detailbase_th_bit_to_max>

        <detail_ratio_min>128</detail_ratio_min>
        <detail_ratio_max>480</detail_ratio_max>
        <detail_th_min>1</detail_th_min>
        <detail_th_bit_to_max>2</detail_th_bit_to_max>

        <smooth_eps>0.1</smooth_eps>
        <smooth_eps_scale>19</smooth_eps_scale>
        <smooth_r>0</smooth_r>

        <enhance_flag>1</enhance_flag>
        <enhance_th_bit>5</enhance_th_bit>
        <enhance_scale>64</enhance_scale>

        <color_weight_shiftbit>2</color_weight_shiftbit>
        <color_detail_shiftbit>0</color_detail_shiftbit>

        <detail_diff_th>60</detail_diff_th>
        <detail_diff_cnt_th>500</detail_diff_cnt_th>


        <hybrid_diff_th>18</hybrid_diff_th>
        <hybrid_diff_hue_shift>5</hybrid_diff_hue_shift>
        <hybrid_diff_hue_coff>2</hybrid_diff_hue_coff>
        <hybrid_diff_erosion_r>1</hybrid_diff_erosion_r>
        <hybrid_diff_tolerate_cnt>100</hybrid_diff_tolerate_cnt>
        <hybrid_weight_map_diff_th>20</hybrid_weight_map_diff_th>
        <hybrid_weight_map_th>80</hybrid_weight_map_th>
        <hybrid_weight_map_cnt>0</hybrid_weight_map_cnt>
        <hybrid_color_adjust_eps>0.08</hybrid_color_adjust_eps>
        <hybrid_detail_gain>280</hybrid_detail_gain>
        <deblur_kernel_scale>1.0</deblur_kernel_scale>
        <hybrid_de_eps>0.05</hybrid_de_eps>
        <hybrid_de_eps_scale>10</hybrid_de_eps_scale>
    </iso5>
    <iso6>
        <iso>12800</iso>
        <appointed_router>-1</appointed_router>
        <color_eps>0.12</color_eps>
        <color_r>4</color_r>
        <mono_eps>0.16</mono_eps>
        <mono_r>4</mono_r>

        <mono_detail_eps>0.06</mono_detail_eps>
        <mono_detail_eps_scale>14</mono_detail_eps_scale>
        <mono_detail_r>1</mono_detail_r>

        <mono_detailbase_eps>0.12</mono_detailbase_eps>
        <mono_detailbase_eps_scale>21</mono_detailbase_eps_scale>
        <mono_detailbase_r>4</mono_detailbase_r>

        <detailbase_ratio_min>128</detailbase_ratio_min>
        <detailbase_ratio_max>256</detailbase_ratio_max>
        <detailbase_th_min>10</detailbase_th_min>
        <detailbase_th_bit_to_max>3</detailbase_th_bit_to_max>

        <detail_ratio_min>128</detail_ratio_min>
        <detail_ratio_max>512</detail_ratio_max>
        <detail_th_min>1</detail_th_min>
        <detail_th_bit_to_max>2</detail_th_bit_to_max>

        <smooth_eps>0.1</smooth_eps>
        <smooth_eps_scale>20</smooth_eps_scale>
        <smooth_r>0</smooth_r>

        <enhance_flag>1</enhance_flag>
        <enhance_th_bit>5</enhance_th_bit>
        <enhance_scale>64</enhance_scale>

        <color_weight_shiftbit>2</color_weight_shiftbit>
        <color_detail_shiftbit>0</color_detail_shiftbit>

        <detail_diff_th>60</detail_diff_th>
        <detail_diff_cnt_th>500</detail_diff_cnt_th>


        <hybrid_diff_th>20</hybrid_diff_th>
        <hybrid_diff_hue_shift>5</hybrid_diff_hue_shift>
        <hybrid_diff_hue_coff>2</hybrid_diff_hue_coff>
        <hybrid_diff_erosion_r>1</hybrid_diff_erosion_r>
        <hybrid_diff_tolerate_cnt>150</hybrid_diff_tolerate_cnt>
        <hybrid_weight_map_diff_th>20</hybrid_weight_map_diff_th>
        <hybrid_weight_map_th>80</hybrid_weight_map_th>
        <hybrid_weight_map_cnt>0</hybrid_weight_map_cnt>
        <hybrid_color_adjust_eps>0.08</hybrid_color_adjust_eps>
        <hybrid_detail_gain>280</hybrid_detail_gain>
        <deblur_kernel_scale>1.0</deblur_kernel_scale>
        <hybrid_de_eps>0.05</hybrid_de_eps>
        <hybrid_de_eps_scale>10</hybrid_de_eps_scale>
    </iso6>
    <iso7>
        <iso>16384</iso>
        <appointed_router>-1</appointed_router>
        <color_eps>0.06</color_eps>
        <color_r>4</color_r>
        <mono_eps>0.16</mono_eps>
        <mono_r>4</mono_r>

        <mono_detail_eps>0.03</mono_detail_eps>
        <mono_detail_eps_scale>14</mono_detail_eps_scale>
        <mono_detail_r>1</mono_detail_r>

        <mono_detailbase_eps>0.06</mono_detailbase_eps>
        <mono_detailbase_eps_scale>21</mono_detailbase_eps_scale>
        <mono_detailbase_r>4</mono_detailbase_r>

        <detailbase_ratio_min>128</detailbase_ratio_min>
        <detailbase_ratio_max>256</detailbase_ratio_max>
        <detailbase_th_min>10</detailbase_th_min>
        <detailbase_th_bit_to_max>3</detailbase_th_bit_to_max>

        <detail_ratio_min>128</detail_ratio_min>
        <detail_ratio_max>400</detail_ratio_max>
        <detail_th_min>2</detail_th_min>
        <detail_th_bit_to_max>2</detail_th_bit_to_max>

        <smooth_eps>0.06</smooth_eps>
        <smooth_eps_scale>21</smooth_eps_scale>
        <smooth_r>0</smooth_r>

        <enhance_flag>1</enhance_flag>
        <enhance_th_bit>5</enhance_th_bit>
        <enhance_scale>64</enhance_scale>

        <color_weight_shiftbit>1</color_weight_shiftbit>
        <color_detail_shiftbit>0</color_detail_shiftbit>

        <detail_diff_th>60</detail_diff_th>
        <detail_diff_cnt_th>500</detail_diff_cnt_th>


        <hybrid_diff_th>24</hybrid_diff_th>
        <hybrid_diff_hue_shift>5</hybrid_diff_hue_shift>
        <hybrid_diff_hue_coff>2</hybrid_diff_hue_coff>
        <hybrid_diff_erosion_r>1</hybrid_diff_erosion_r>
        <hybrid_diff_tolerate_cnt>200</hybrid_diff_tolerate_cnt>
        <hybrid_weight_map_diff_th>20</hybrid_weight_map_diff_th>
        <hybrid_weight_map_th>80</hybrid_weight_map_th>
        <hybrid_weight_map_cnt>0</hybrid_weight_map_cnt>
        <hybrid_color_adjust_eps>0.16</hybrid_color_adjust_eps>
        <hybrid_detail_gain>280</hybrid_detail_gain>
        <deblur_kernel_scale>1.0</deblur_kernel_scale>
        <hybrid_de_eps>0.05</hybrid_de_eps>
        <hybrid_de_eps_scale>10</hybrid_de_eps_scale>
    </iso7>
    <iso8>
        <iso>20480</iso>
        <appointed_router>-1</appointed_router>
        <color_eps>0.06</color_eps>
        <color_r>4</color_r>
        <mono_eps>0.16</mono_eps>
        <mono_r>4</mono_r>

        <mono_detail_eps>0.03</mono_detail_eps>
        <mono_detail_eps_scale>14</mono_detail_eps_scale>
        <mono_detail_r>1</mono_detail_r>

        <mono_detailbase_eps>0.06</mono_detailbase_eps>
        <mono_detailbase_eps_scale>21</mono_detailbase_eps_scale>
        <mono_detailbase_r>4</mono_detailbase_r>

        <detailbase_ratio_min>128</detailbase_ratio_min>
        <detailbase_ratio_max>256</detailbase_ratio_max>
        <detailbase_th_min>10</detailbase_th_min>
        <detailbase_th_bit_to_max>3</detailbase_th_bit_to_max>

        <detail_ratio_min>128</detail_ratio_min>
        <detail_ratio_max>400</detail_ratio_max>
        <detail_th_min>2</detail_th_min>
        <detail_th_bit_to_max>2</detail_th_bit_to_max>

        <smooth_eps>0.06</smooth_eps>
        <smooth_eps_scale>21</smooth_eps_scale>
        <smooth_r>0</smooth_r>

        <enhance_flag>1</enhance_flag>
        <enhance_th_bit>5</enhance_th_bit>
        <enhance_scale>64</enhance_scale>

        <color_weight_shiftbit>1</color_weight_shiftbit>
        <color_detail_shiftbit>0</color_detail_shiftbit>

        <detail_diff_th>60</detail_diff_th>
        <detail_diff_cnt_th>500</detail_diff_cnt_th>


        <hybrid_diff_th>30</hybrid_diff_th>
        <hybrid_diff_hue_shift>5</hybrid_diff_hue_shift>
        <hybrid_diff_hue_coff>2</hybrid_diff_hue_coff>
        <hybrid_diff_erosion_r>1</hybrid_diff_erosion_r>
        <hybrid_diff_tolerate_cnt>300</hybrid_diff_tolerate_cnt>
        <hybrid_weight_map_diff_th>20</hybrid_weight_map_diff_th>
        <hybrid_weight_map_th>80</hybrid_weight_map_th>
        <hybrid_weight_map_cnt>1</hybrid_weight_map_cnt>
        <hybrid_color_adjust_eps>0.16</hybrid_color_adjust_eps>
        <hybrid_detail_gain>310</hybrid_detail_gain>
        <deblur_kernel_scale>1.0</deblur_kernel_scale>
        <hybrid_de_eps>0.05</hybrid_de_eps>
        <hybrid_de_eps_scale>10</hybrid_de_eps_scale>
    </iso8>
    <iso9>
        <iso>26490</iso>
        <appointed_router>-1</appointed_router>
        <color_eps>0.16</color_eps>
        <color_r>4</color_r>
        <mono_eps>0.16</mono_eps>
        <mono_r>4</mono_r>

        <mono_detail_eps>0.04</mono_detail_eps>
        <mono_detail_eps_scale>14</mono_detail_eps_scale>
        <mono_detail_r>1</mono_detail_r>

        <mono_detailbase_eps>0.08</mono_detailbase_eps>
        <mono_detailbase_eps_scale>21</mono_detailbase_eps_scale>
        <mono_detailbase_r>4</mono_detailbase_r>

        <detailbase_ratio_min>128</detailbase_ratio_min>
        <detailbase_ratio_max>256</detailbase_ratio_max>
        <detailbase_th_min>10</detailbase_th_min>
        <detailbase_th_bit_to_max>3</detailbase_th_bit_to_max>

        <detail_ratio_min>128</detail_ratio_min>
        <detail_ratio_max>256</detail_ratio_max>
        <detail_th_min>2</detail_th_min>
        <detail_th_bit_to_max>2</detail_th_bit_to_max>

        <smooth_eps>0.08</smooth_eps>
        <smooth_eps_scale>21</smooth_eps_scale>
        <smooth_r>0</smooth_r>

        <enhance_flag>1</enhance_flag>
        <enhance_th_bit>5</enhance_th_bit>
        <enhance_scale>64</enhance_scale>

        <color_weight_shiftbit>1</color_weight_shiftbit>
        <color_detail_shiftbit>1</color_detail_shiftbit>

        <detail_diff_th>60</detail_diff_th>
        <detail_diff_cnt_th>500</detail_diff_cnt_th>


        <hybrid_diff_th>36</hybrid_diff_th>
        <hybrid_diff_hue_shift>5</hybrid_diff_hue_shift>
        <hybrid_diff_hue_coff>1</hybrid_diff_hue_coff>
        <hybrid_diff_erosion_r>1</hybrid_diff_erosion_r>
        <hybrid_diff_tolerate_cnt>360</hybrid_diff_tolerate_cnt>
        <hybrid_weight_map_diff_th>20</hybrid_weight_map_diff_th>
        <hybrid_weight_map_th>80</hybrid_weight_map_th>
        <hybrid_weight_map_cnt>1</hybrid_weight_map_cnt>
        <hybrid_color_adjust_eps>0.16</hybrid_color_adjust_eps>
        <hybrid_detail_gain>350</hybrid_detail_gain>
        <deblur_kernel_scale>1.0</deblur_kernel_scale>
        <hybrid_de_eps>0.05</hybrid_de_eps>
        <hybrid_de_eps_scale>10</hybrid_de_eps_scale>
    </iso9>
    <iso10>
        <iso>32770</iso>
        <appointed_router>-1</appointed_router>
        <color_eps>0.08</color_eps>
        <color_r>4</color_r>
        <mono_eps>0.16</mono_eps>
        <mono_r>4</mono_r>

        <mono_detail_eps>0.04</mono_detail_eps>
        <mono_detail_eps_scale>14</mono_detail_eps_scale>
        <mono_detail_r>1</mono_detail_r>

        <mono_detailbase_eps>0.08</mono_detailbase_eps>
        <mono_detailbase_eps_scale>21</mono_detailbase_eps_scale>
        <mono_detailbase_r>4</mono_detailbase_r>

        <detailbase_ratio_min>128</detailbase_ratio_min>
        <detailbase_ratio_max>256</detailbase_ratio_max>
        <detailbase_th_min>10</detailbase_th_min>
        <detailbase_th_bit_to_max>3</detailbase_th_bit_to_max>

        <detail_ratio_min>128</detail_ratio_min>
        <detail_ratio_max>256</detail_ratio_max>
        <detail_th_min>3</detail_th_min>
        <detail_th_bit_to_max>2</detail_th_bit_to_max>

        <smooth_eps>0.08</smooth_eps>
        <smooth_eps_scale>21</smooth_eps_scale>
        <smooth_r>0</smooth_r>

        <enhance_flag>1</enhance_flag>
        <enhance_th_bit>5</enhance_th_bit>
        <enhance_scale>64</enhance_scale>

        <color_weight_shiftbit>1</color_weight_shiftbit>
        <color_detail_shiftbit>1</color_detail_shiftbit>

        <detail_diff_th>60</detail_diff_th>
        <detail_diff_cnt_th>500</detail_diff_cnt_th>


        <hybrid_diff_th>36</hybrid_diff_th>
        <hybrid_diff_hue_shift>5</hybrid_diff_hue_shift>
        <hybrid_diff_hue_coff>1</hybrid_diff_hue_coff>
        <hybrid_diff_erosion_r>2</hybrid_diff_erosion_r>
        <hybrid_diff_tolerate_cnt>360</hybrid_diff_tolerate_cnt>
        <hybrid_weight_map_diff_th>20</hybrid_weight_map_diff_th>
        <hybrid_weight_map_th>80</hybrid_weight_map_th>
        <hybrid_weight_map_cnt>1</hybrid_weight_map_cnt>
        <hybrid_color_adjust_eps>0.16</hybrid_color_adjust_eps>
        <hybrid_detail_gain>380</hybrid_detail_gain>
        <deblur_kernel_scale>1.0</deblur_kernel_scale>
        <hybrid_de_eps>0.05</hybrid_de_eps>
        <hybrid_de_eps_scale>10</hybrid_de_eps_scale>
    </iso10>

    <GhostCorrection>
        <LowThr>1</LowThr>
        <HighThr>5</HighThr>
    </GhostCorrection>
    <SFNoiseReduction>
        <ISO1>
            <isovalue>3838</isovalue>

            <NoiseReducFlag>1</NoiseReducFlag>
            <ContrastEnhanceFlag>0</ContrastEnhanceFlag>
            <SharpnessEnhanceFlag>0</SharpnessEnhanceFlag>
            <ColorManageFlag>0</ColorManageFlag>

            <luma>-90</luma>
            <chroma>-90</chroma>
            <lumaHF>-90</lumaHF>
            <lumaHF2>-90</lumaHF2>
            <chromaHF>-90</chromaHF>
            <detail>-100</detail>
            <detail_min>3</detail_min>
        </ISO1>
        <ISO2>
            <isovalue>4736</isovalue>

            <NoiseReducFlag>1</NoiseReducFlag>
            <ContrastEnhanceFlag>0</ContrastEnhanceFlag>
            <SharpnessEnhanceFlag>0</SharpnessEnhanceFlag>
            <ColorManageFlag>0</ColorManageFlag>

            <luma>-85</luma><!--luma>-95</luma-->
            <chroma>-85</chroma>
            <lumaHF>-10</lumaHF>
            <lumaHF2>-10</lumaHF2>
            <chromaHF>-90</chromaHF>
            <detail>-10</detail>
            <detail_min>3</detail_min>
        </ISO2>
        <ISO3>
            <isovalue>6784</isovalue>

            <NoiseReducFlag>1</NoiseReducFlag>
            <ContrastEnhanceFlag>0</ContrastEnhanceFlag>
            <SharpnessEnhanceFlag>0</SharpnessEnhanceFlag>
            <ColorManageFlag>0</ColorManageFlag>

            <luma>-85</luma><!--luma>-90</luma-->
            <chroma>-85</chroma>
            <lumaHF>-0</lumaHF>
            <lumaHF2>-0</lumaHF2>
            <chromaHF>-90</chromaHF>
            <detail>-0</detail>
            <detail_min>3</detail_min>
        </ISO3>
        <ISO4>
            <isovalue>9728</isovalue>

            <NoiseReducFlag>1</NoiseReducFlag>
            <ContrastEnhanceFlag>0</ContrastEnhanceFlag>
            <SharpnessEnhanceFlag>0</SharpnessEnhanceFlag>
            <ColorManageFlag>0</ColorManageFlag>

            <luma>-80</luma><!--luma>-70</luma-->
            <chroma>-80</chroma>
            <lumaHF>-0</lumaHF><!--lumaHF>-50</lumaHF-->
            <lumaHF2>-0</lumaHF2>
            <chromaHF>-88</chromaHF>
            <detail>-0</detail>
            <detail_min>3</detail_min>
        </ISO4>
        <ISO5>
            <isovalue>12800</isovalue>

            <NoiseReducFlag>1</NoiseReducFlag>
            <ContrastEnhanceFlag>0</ContrastEnhanceFlag>
            <SharpnessEnhanceFlag>0</SharpnessEnhanceFlag>
            <ColorManageFlag>0</ColorManageFlag>

            <luma>-75</luma><!--luma>-60</luma-->
            <chroma>-78</chroma>
            <lumaHF>-0</lumaHF>
            <lumaHF2>-0</lumaHF2>
            <chromaHF>-85</chromaHF>
            <detail>-0</detail>
            <detail_min>3</detail_min>
        </ISO5>
        <ISO6>
            <isovalue>17920</isovalue>

            <NoiseReducFlag>1</NoiseReducFlag>
            <ContrastEnhanceFlag>0</ContrastEnhanceFlag>
            <SharpnessEnhanceFlag>0</SharpnessEnhanceFlag>
            <ColorManageFlag>0</ColorManageFlag>

            <luma>-80</luma>
            <chroma>-85</chroma>
            <lumaHF>-0</lumaHF>
            <lumaHF2>-0</lumaHF2>
            <chromaHF>-80</chromaHF>
            <detail>-0</detail>
            <detail_min>3</detail_min>
        </ISO6>
        <ISO7>
            <isovalue>35840</isovalue>

            <NoiseReducFlag>1</NoiseReducFlag>
            <ContrastEnhanceFlag>0</ContrastEnhanceFlag>
            <SharpnessEnhanceFlag>0</SharpnessEnhanceFlag>
            <ColorManageFlag>0</ColorManageFlag>

            <luma>-70</luma>
            <chroma>-75</chroma>
            <lumaHF>-0</lumaHF>
            <lumaHF2>-0</lumaHF2>
            <chromaHF>-70</chromaHF>
            <detail>-0</detail>
            <detail_min>3</detail_min>
        </ISO7>
        <ISO8>
            <isovalue>71680</isovalue>

            <NoiseReducFlag>1</NoiseReducFlag>
            <ContrastEnhanceFlag>0</ContrastEnhanceFlag>
            <SharpnessEnhanceFlag>0</SharpnessEnhanceFlag>
            <ColorManageFlag>0</ColorManageFlag>

            <luma>-70</luma>
            <chroma>-75</chroma>
            <lumaHF>-0</lumaHF>
            <lumaHF2>-0</lumaHF2>
            <chromaHF>-70</chromaHF>
            <detail>-10</detail>
            <detail_min>3</detail_min>
        </ISO8>
    </SFNoiseReduction>
</Config>
